glibmm 2.78.1

Topics | Enumerations
Generic container converters

## Topics
| Helper classes

## Enumerations
enum | Glib::OwnershipType { Glib::OWNERSHIP_NONE = 0 , Glib::OWNERSHIP_SHALLOW , Glib::OWNERSHIP_DEEP }

## Detailed Description

## Enumeration Type Documentation

## ◆ OwnershipType

enum Glib::OwnershipType

Ownership of the container

Defines how and if the container will release the list and its elemens when it is destroyed

Enumerator
OWNERSHIP_NONE | Do not release anything
OWNERSHIP_SHALLOW | Release the list, but not its elements, when the container is deleted
OWNERSHIP_DEEP | Release the list, and its elements, when the container is deleted.